/**
 *  This is your application entry file
 *
 *  we've included some default code for you. we don't recommend you edit this
 *  unless you're absolutely sure what you're doing
 */
import { createRoot, hydrateRoot } from 'react-dom/client';
import React from 'react';

export default (Component) => {
  const targetEl = document.getElementById('root');

  if (targetEl.children?.length) {
    const root = hydrateRoot(targetEl, <Component />);
  } else {
    const root = createRoot(targetEl);
    root.render(<Component />);
  }
};
